* {
  font-family: "Roboto", sans-serif;
}

.btn_one i {
  
  color: black;
  position: absolute;
  left: 20px;
  line-height: 60px;
  font-weight: 700;
  font-size: 50px;
  box-shadow: 0 0 4px white 0.5;
  cursor: pointer;
}

.sidebar_menu {
      margin: 0;
  padding: 0;
  position: fixed;
  left: -400px;
  width: 300px;
  height: 100vh;
  /* background-color: rgba(128, 128, 128, 0.5); */
    background-color: gray;
  box-shadow: 0 0 4px rgba(51, 49, 49, 0.4);
  border-radius: 0 20px 20px 0;
  transition: all 0.2s linear;
}
.sidebar_menu .logo {
  position: absolute;
  width: 100%;
  line-height: 80px;
  border-radius: 0 20px 0 0;
}

.sidebar_menu .logo a {
  margin-left: 20px;
  font-size: 40px;
  line-height: 60px;
  font-weight: 700;
  opacity: 0.7;
  text-decoration: none;
}
.btn_two i {
  color: black;
  position: absolute;
  left: 80%;
  font-weight: 700;
  opacity: 0.7;
  font-size: 50px;
  cursor: pointer;
  opacity: 0;
}

.sidebar_menu .menu {
  position: absolute;
  width: 100%;
  top: 80px;
}

.sidebar_menu .menu li {
  padding: 10px auto 10px 0;
  line-height: 60px;
  font-size: 30px;
  box-shadow: 0 0 4px rgba(51, 49, 49, 0.5);

}

.sidebar_menu .menu i,
a {
  color: black;
  text-decoration: none;
}
.sidebar_menu .menu i {
  padding: 10px;
}
.sidebar_menu .menu ul{
    padding:0;
}

.sidebar_menu .social_media {
  position: absolute;
  margin: 0 auto 25px auto;
  bottom:0;
}
.sidebar_menu .sidebar_menu ul{
    padding:0;
}
.sidebar_menu .social_media i {
  opacity: 0.6;
  font-size: 30px;
  margin: 3px;
}

.sidebar_menu .menu li:hover {
  box-shadow: 0 2px 8px rgba(51, 49, 49, 0.5);
}

.btn_one i:hover {
  transform: scale(1.2);
}

.btn_two i:hover {
  transform: scale(1.2);
}

.sidebar_menu .social_media i:hover {
  opacity: 1;
  transform: scale(1.2);
}


.menu ul li{
    list-style: none;
}

#check {
  display: none;
}

#check:checked ~ .sidebar_menu{
    left:0;
}

#check:checked ~ .btn_one{
    display:none;
}
#check:checked ~ .sidebar_menu .btn_two i{
    opacity:1;
}